package com.zhentao.web.controller.system;

import com.zhentao.common.annotation.Anonymous;
import com.zhentao.common.core.controller.BaseController;
import com.zhentao.common.core.domain.entity.Course;
import com.zhentao.common.core.page.TableDataInfo;
import com.zhentao.system.service.CourseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author: wzy
 * @date: 2025/5/8 16:14
 */
@RestController
@RequestMapping("/system/course")
public class CourseController extends BaseController {
    @Autowired
    private CourseService courseService;

    /**
     * 课程列表查询
     * @param course
     * @return
     */
    @PreAuthorize("@ss.hasPermi('course:list')")
//    @Anonymous
    @GetMapping("/list")
    public TableDataInfo list(Course course){
        startPage();
        List<Course> courseList = courseService.selectCourseList(course);
        return getDataTable(courseList);
    }
}
